---
title: 태스크
main_menu: true
weight: 50
content_template: templates/concept
---

{{< toc >}}

{{% capture overview %}}

쿠버네티스 문서에서 이 섹션은 개별의 태스크를 수행하는 방법을 
보여준다. 한 태스크 페이지는 일반적으로 여러 단계로 이루어진 짧은 
시퀀스를 제공함으로써, 하나의 일을 수행하는 방법을 보여준다.

{{% /capture %}}

{{% capture body %}}

## 웹 UI (대시보드)

쿠버네티스 클러스터에서 컨테이너화 된 애플리케이션을 관리 및 모니터하는 것을 돕기 위해서 대시보드 웹 유저 인터페이스를 디플로이하고 접속한다.

## kubectl 명령줄 사용하기

쿠버네티스 클러스터를 직접 관리하기 위해서 사용되는 `kubectl` 명령줄 도구를 설치 및 설정한다.

## 파드 및 컨테이너 구성하기

파드 및 컨테이너에 대한 일반적인 구성 태스크를 수행한다.

## 애플리케이션 동작시키기

롤링 업데이트, 파드에 정보 주입하기, 파드 수평적 오토스케일링 등, 일반적인 애플리케이션 관리 태스크를 수행한다.

## 잡 동작시키기

병렬 프로세싱을 사용하는 잡을 동작시킨다.

## 클러스터의 애플리케이션에 접근하기

클러스터 내에 있는 애플리케이션에 접근할 수 있도록 로드 밸런싱, 포트 포워딩, 방화벽 또는 DNS 구성 등을 구성한다.

## 모니터링, 로깅, 디버깅

클러스터 문제를 해결하거나 컨테이너화 된 애플리케이션을 디버깅하기 위해서 모니터링과 로깅을 설정한다.

## 쿠버네티스 API에 접근하기

쿠버네티스 API에 직접 접근하는 다양한 방법을 배운다.

## TLS 사용하기

클러스터 루트 인증 기관(CA)을 신뢰 및 사용하도록 애플리케이션을 구성한다.

## 클러스터 운영하기(administering)

클러스터를 운영하기 위한 일반적인 태스크를 배운다.

## 페더레이션(federation) 운영하기(administering)

클러스터 페더레이션의 컴포넌트들을 구성한다.

## 스테이트풀 애플리케이션 관리하기

스테이트풀 셋의 스케일링, 삭제하기, 디버깅을 포함하는 스테이트풀 애플리케이션 관리를 위한 일반적인 태스크를 수행한다.

## 클러스터 데몬

롤링 업데이트를 수행과 같은, 데몬 셋 관리를 위한 일반적인 태스크를 수행한다.

## GPU 관리하기

클러스터의 노드들에 의해서 리소스로 사용될 NVIDIA GPU들을 구성 및 스케줄한다.

## HugePage 관리하기

클러스터에서 스케줄 가능한 리소스로서 Huge Page들을 구성 및 스케줄한다.

{{% /capture %}}

{{% capture whatsnext %}}

만약 태스크 페이지를 작성하고 싶다면, 
[문서 풀 리퀘스트(Pull Request) 생성하기](/docs/home/contribute/create-pull-request/)를 참조한다.

{{% /capture %}}
